local t = Def.ActorFrame{

	LoadActor("back_m")..{
	Condition=not GAMESTATE:IsCourseMode();
	InitCommand=cmd(x,SCREEN_CENTER_X-18;y,SCREEN_CENTER_Y+64;horizalign,right;);
	OnCommand=cmd(diffusealpha,0;sleep,0.3;cropleft,1;cropright,-0.3;diffusealpha,0;sleep,0.2;accelerate,0.5;cropleft,-0.3;diffusealpha,1;);
	OffCommand=cmd(stoptweening;);
	};


	LoadActor("bannerback1")..{
	InitCommand=cmd(x,SCREEN_CENTER_X-154;y,SCREEN_CENTER_Y-101;addy,-4;zoomtowidth,0;zoomtoheight,10;sleep,0.35;decelerate,0.3;zoomtowidth,266;decelerate,0.05;addy,4;zoomtoheight,42;glow,color("0,1,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("1,0,1,0"););
	};

	LoadActor("bannerback2")..{
	InitCommand=cmd(x,SCREEN_CENTER_X-154;y,SCREEN_CENTER_Y-101;zoomtoheight,0;sleep,0.7;decelerate,0.3;zoomtoheight,86;glow,color("0,1,1,0");linear,0.05;glow,color("1,0,1,1");decelerate,0.4;glow,color("1,0,1,0"););
	};

--selection
	Def.ActorFrame{
		InitCommand=cmd(y,SCREEN_CENTER_Y+2);
		Def.ActorFrame{
			Def.Sprite{
				InitCommand=function(self)
					if not GAMESTATE:IsCourseMode() then
						self:Load( THEME:GetPathB("","_selection/normal_under") );
					else
						self:Load( THEME:GetPathB("","_selection/course_under") );
					end;
					self:x(SCREEN_CENTER_X-98);
					self:addy(-15);
					self:cropleft(1);
					self:cropright(-0.3);
					self:diffusealpha(0);
					self:sleep(0.7);
					self:accelerate(0.5);
					self:cropleft(-0.3);
					self:diffusealpha(0.6);
					self:glowshift();
					self:effectcolor1(color("0.5,0,0,1"));
					self:effectcolor2(color("0.3,0,1,0.75"));
					self:effectperiod(1);
				end;
			};	

			LoadActor( THEME:GetPathB("","_selection/net") )..{
				InitCommand=cmd(x,(SCREEN_CENTER_X*1.425)+5;cropleft,1;cropright,-0.3;diffusealpha,0;sleep,0.2;accelerate,0.6;cropleft,-0.3;diffusealpha,0.6;glowshift;effectcolor1,color("0.5,0,0,1");effectcolor2,color("0.3,0,1,0.75");effectperiod,1;);
			};

		};

		Def.ActorFrame{
			Def.Sprite{
				InitCommand=function(self)
					if not GAMESTATE:IsCourseMode() then
						self:Load( THEME:GetPathB("","_selection/normal_under") );
					else
						self:Load( THEME:GetPathB("","_selection/course_under") );
					end;
					self:x(SCREEN_CENTER_X-98);
					self:addy(-15);
					self:finishtweening();
					self:diffusealpha(0);
				end;
				CurrentSongChangedMessageCommand=cmd(finishtweening;addx,10;diffusealpha,0;linear,0.01;zoom,0.9;diffusealpha,1;glow,color("0.25,0.25,0.75,0.8");decelerate,0.5;zoom,1;glow,color("0.2,0,1,0");addx,-10;diffusealpha,0;);
			};

			LoadActor( THEME:GetPathB("","_selection/net") )..{
				InitCommand=cmd(x,(SCREEN_CENTER_X*1.425)+5;stoptweening;diffusealpha,0;);
				CurrentSongChangedMessageCommand=cmd(finishtweening;addx,0;diffusealpha,0;linear,0.01;zoom,0.9;diffusealpha,1;glow,color("0.25,0.25,0.75,0.8");decelerate,0.5;zoom,1;glow,color("0.2,0,1,0");addx,-20;diffusealpha,0;linear,0.001;addx,20;);
			};
		};
	};
};

return t;